/***************************************************************************
 *            main-callbacks.h
 *
 *  Fri Oct 21 22:21:43 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomcio-j@o2.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <gtk/gtk.h>
#include <glib.h>
#include <stdio.h>

gboolean
on_main_win_delete_event               (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);							

void
on_single_volume_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_multi_volume_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exit_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_menage_database_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
										
void
on_search_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);										

void
on_about_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_main_add_book_but_clicked           (GtkToolButton   *toolbutton,
                                        gpointer         user_data);

void
on_main_exit_but_clicked               (GtkToolButton   *toolbutton,
                                        gpointer         user_data);

void
on_main_search_en_activate             (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_main_search_but_clicked             (GtkToolButton   *toolbutton,
                                        gpointer         user_data);

void
on_main_list_row_activated             (GtkTreeView     *treeview,
                                        GtkTreePath     *path,
                                        GtkTreeViewColumn *column,
                                        gpointer         user_data);
										
void
on_main_list_cursor_changed            (GtkTreeView     *treeview,
                                        gpointer         user_data);										

void
on_s_additional_informations_exp_activate  (GtkExpander     *expander,
                                        gpointer         user_data);

void
on_s_description_exp_activate          (GtkExpander     *expander,
                                        gpointer         user_data);

void
on_s_edit_but_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_s_remove_but_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_m_books_list_exp_activate           (GtkExpander     *expander,
                                        gpointer         user_data);

void
on_m_m_additional_informations_exp_activate   (GtkExpander     *expander,
                                        gpointer         user_data);

void
on_m_description_exp_activate          (GtkExpander     *expander,
                                        gpointer         user_data);
										
void
on_m_books_list_row_activated          (GtkTreeView     *treeview,
                                        GtkTreePath     *path,
                                        GtkTreeViewColumn *column,
                                        gpointer         user_data);										

void
on_m_edit_but_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_m_remove_but_clicked                (GtkButton       *button,
                                        gpointer         user_data);
										
void
on_m_volume_additional_informations_exp_activate
                                        (GtkExpander     *expander,
                                        gpointer         user_data);

void
on_m_volume_description_exp_activate   (GtkExpander     *expander,
                                        gpointer         user_data);

void
on_m_volume_remove_but_clicked         (GtkButton       *button,
                                        gpointer         user_data);
